import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dialog.ModalityType;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JDesktopPane;
import javax.swing.JFrame;

import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.ScrollPaneConstants;
import javax.swing.SwingUtilities;

/**
 * 
 * MainFrame-Klasse
 *
 * @author $Author:  Thomas Kramer
 * @version $Revision:  1.0, $Date:  01.11.2012 UTC
 */
public class MainFrame extends JFrame
{
   public SubjectManagement viewSM = null;

   public GradeManagement viewGM = null;

   public FinalGrades viewFG = null;   
   
   /** 
    * 
    * Konstruktor.
    *
    */
   public MainFrame()
   {
      super("Hauptfenster");   
      setLayout(null);      
      // setzen der DefaultCloseOperation fr das Hauptfenster nicht vergessen, sonst 
      // bleibt die javaw.exe nach dem Schlieen des Fensters im Speicher!
      setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);      
      
      JButton button1 = new JButton("Fcher-Verwaltung");
      button1.addActionListener(new ActionListener() {
         @Override
         public void actionPerformed(ActionEvent arg0)
         {             
            SwingUtilities.invokeLater(new Runnable()
            {
              public void run()
              {
                 viewSM.setVisible(true);
              }
            });               
            
         }
       });      
      button1.setBounds(20,10,400,30);      
      add(button1);      
      
      JButton button2 = new JButton("Notenverwaltung");
      button2.addActionListener(new ActionListener() {
         @Override
         public void actionPerformed(ActionEvent arg0)
         {             
            SwingUtilities.invokeLater(new Runnable()
            {
              public void run()
              {        
                viewGM.setVisible(true);
              }
            });               
            
         }
       });            
      button2.setBounds(20,50,400,30);      
      add(button2);
      
      JButton button3 = new JButton("Abschlussnoten");
      button3.addActionListener(new ActionListener() {
         @Override
         public void actionPerformed(ActionEvent arg0)
         {             
            SwingUtilities.invokeLater(new Runnable()
            {
              public void run()
              {                                 
                viewFG.setVisible(true);
              }
            });               
            
         }
       });        
      button3.setBounds(20,90,400,30);      
      add(button3);
      
      /**
       * Schlieen-Button hinzufgen
       */
      JButton button4 = new JButton("Schlieen");
      button4.addActionListener(new ActionListener() {
         @Override
         public void actionPerformed(ActionEvent arg0)
         {
            System.exit( 0 );            
         }
       });      
      button4.setBounds(300,140,150,30);      
      add(button4);              
     
      /**
       * Gre des Fenster setzen
       */
      setMinimumSize(new Dimension(500,230));
      setVisible(true);                  
   }
}
