/**
 * 
 * Definiert gewisse berall verwendete Konstanten.
 *
 * @author $Author:  Thomas Kramer
 * @version $Revision:  $, $Date:  12.11.2012 UTC
 */
public class Constants
{
   /**
    * 
    * Utility-Klasse - durch privaten Konstruktor knnen keine Instanzen gebildet werden.
    *
    */
   private Constants() 
   {      
   }
   
   /**
    * 
    * Bezeichnung fr Fach
    *
    * @return Konstante
    */
   public static String getSubjectDescription()
   {
      return "Fach";
   }
   
   /**
    * 
    * Bezeichnung fr 1. Notenfeld
    *
    * @return Konstante
    */
   public static String getGrade1Description()
   {
      return "1. N.";
   }

   /**
    * 
    * Bezeichnung fr 2. Notenfeld
    *
    * @return Konstante
    */   
   public static String getGrade2Description()
   {
      return "2. N.";
   }
   
   /**
    * 
    * Bezeichnung fr 3. Notenfeld
    *
    * @return Konstante
    */   
   public static String getGrade3Description()
   {
      return "3. N.";
   }
   
   /**
    * 
    * Bezeichnung fr das CP-Feld
    *
    * @return Konstante
    */   
   public static String getCPDescription()
   {
      return "CP";
   }   
}
