/**
 * 
 * Klasse um alle Noten-Zuordnungen zu Fchern zu speichern
 * 
 * @author $Author: Thomas Kramer
 * @version $Revision: $, $Date: 09.11.2012 UTC
 */
public class Grades
{
   private SubjectDetails subject;

   private float grade1;

   private float grade2;

   private float grade3;

   /**
    * 
    * Konstruktor
    * 
    * @param subject
    *           Fach
    * @param grade1
    *           Note 1
    * @param grade2
    *           Note 2
    * @param grade3
    *           Note 3
    */
   public Grades(SubjectDetails subject, float grade1, float grade2,
         float grade3)
   {
      this.subject = subject;
      this.grade1 = grade1;
      this.grade2 = grade2;
      this.grade3 = grade3;
   }

   /**
    * Getter for property subject.
    * 
    * @return Returns the subject.
    */
   public SubjectDetails getSubject()
   {
      return subject;
   }

   /**
    * Setter for property subject.
    * 
    * @param subject
    *           The subject to set.
    */
   public void setSubject(SubjectDetails subject)
   {
      this.subject = subject;
   }

   /**
    * Getter for property grade1.
    * 
    * @return Returns the grade1.
    */
   public float getGrade1()
   {
      return grade1;
   }

   /**
    * Setter for property grade1.
    * 
    * @param grade1
    *           The grade1 to set.
    */
   public void setGrade1(float grade1)
   {
      this.grade1 = grade1;
   }

   /**
    * Getter for property grade2.
    * 
    * @return Returns the grade2.
    */
   public float getGrade2()
   {
      return grade2;
   }

   /**
    * Setter for property grade2.
    * 
    * @param grade2
    *           The grade2 to set.
    */
   public void setGrade2(float grade2)
   {
      this.grade2 = grade2;
   }

   /**
    * Getter for property grade3.
    * 
    * @return Returns the grade3.
    */
   public float getGrade3()
   {
      return grade3;
   }

   /**
    * Setter for property grade3.
    * 
    * @param grade3
    *           The grade3 to set.
    */
   public void setGrade3(float grade3)
   {
      this.grade3 = grade3;
   }
}
